/**
 * DevExtreme (core/polyfills/matches.js)
 * Version: 17.2.0 (build 17231)
 * Build date: Sat Aug 19 2017
 *
 * Copyright (c) 2012 - 2017 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var matches = Element.prototype.matches || Element.prototype.matchesSelector || Element.prototype.mozMatchesSelector || Element.prototype.msMatchesSelector || Element.prototype.oMatchesSelector || Element.prototype.webkitMatchesSelector || function(selector) {
    var items = (this.document || this.ownerDocument).querySelectorAll(selector);
    for (var i = 0; i < items.length; i++) {
        if (items === this) {
            return true
        }
    }
};
module.exports = function(element, selector) {
    return matches.call(element, selector)
};
