/**
 * DevExtreme (core/utils/deferred.js)
 * Version: 17.2.0 (build 17231)
 * Build date: Sat Aug 19 2017
 *
 * Copyright (c) 2012 - 2017 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var jQuery = require("jquery");
var compareVersion = require("../utils/version").compare;
var Deferred = jQuery.Deferred;
module.exports.Deferred = Deferred;
module.exports.when = compareVersion(jQuery.fn.jquery, [3]) < 0 ? jQuery.when : function(singleArg) {
    if (0 === arguments.length) {
        return (new Deferred).resolve()
    } else {
        if (1 === arguments.length) {
            return singleArg && singleArg.then ? singleArg : (new Deferred).resolve(singleArg)
        } else {
            return jQuery.when.apply(jQuery, arguments)
        }
    }
};
